Support » Plugin: WooCommerce e-conomic Integration » Invoice sync from woocommerce to e-conomics giving 500 error

  • Hello,
    i recently updated wordpress to 4.8.0 and tried to sync invoice from woocommerce to e-conomics. It is giving 500 error.
    Is this plugin not compatible with WP 4.8.0?

Viewing 1 replies (of 1 total)
  • In my case, it was happening due to permanently deleted test orders. I am able to fix it by changing the line 1886 of class-economic-api.php from

    $unsynced_orders = $wpdb->get_results("SELECT * from ".$wpdb->prefix."wce_orders WHERE synced = 0 ");

    to

    $unsynced_orders = $wpdb->get_results("SELECT * from ".$wpdb->prefix."wce_orders WHERE synced = 0 AND order_id IN (select id FROM ".$wpdb->prefix."posts) ");

    Just in case if some one else get into such problem.

    Thanks

    • This reply was modified 1 year, 11 months ago by Mohsin Rasool.
Viewing 1 replies (of 1 total)
  • The topic ‘Invoice sync from woocommerce to e-conomics giving 500 error’ is closed to new replies.